# Finding a single Object covering at least CPU set

## Functions

static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure | hwloc_get_child_covering_cpuset (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_const_cpuset_t set, hwloc_obj_t parent)
| Get the child covering at least CPU set `set`.
static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure | hwloc_get_obj_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
| Get the lowest object covering at least CPU set `set`.

## Function Documentation

static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_child_covering_cpuset | ( | hwloc_topology_t topology | __hwloc_attribute_unused,
|  | hwloc_const_cpuset_t | set,
|  | hwloc_obj_t | parent |
| ) |  |  | `[static]`

Get the child covering at least CPU set `set`.

Returns:
  `NULL` if no child matches or if `set` is empty.

static __hwloc_inline hwloc_obj_t __hwloc_attribute_pure hwloc_get_obj_covering_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set |
| ) |  |  | `[static]`

Get the lowest object covering at least CPU set `set`.

Returns:
  `NULL` if no object matches or if `set` is empty.